package com.yifu.cloud.plus.v1.yifu.order.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.common.core.util.R;
import com.yifu.cloud.plus.v1.yifu.order.entity.TOrder;
import com.yifu.cloud.plus.v1.yifu.order.vo.OrderListParam;
import com.yifu.cloud.plus.v1.yifu.order.vo.OrderListVO;

import java.util.List;

/**
 * @author licancan
 * @description 针对表【t_order(订单表)】的数据库操作Service
 * @date 2022-08-26 17:22:41
 */
public interface TOrderService extends IService<TOrder> {

	/**
	 * 订单列表分页查询
	 *
	 * @author licancan
	 * @param page
	 * @param param
	 * @return {@link IPage<OrderListVO>}
	 */
	IPage<OrderListVO> getOrderPageList(Page<OrderListParam> page, OrderListParam param);

	/**
	 * 订单列表不分页查询
	 *
	 * @author licancan
	 * @param param
	 * @return {@link List<OrderListVO>}
	 */
	List<OrderListVO> getOrderList(OrderListParam param);

	/**
	 * 变更订单状态
	 *
	 * @author licancan
	 * @param id
	 * @param status
	 * @return {@link R<String>}
	 */
	R<String> handleOrder(String id, Integer status);
}
